
QGIS Application - Bug report #2789

Encoding problem with OSM plugin

2010-06-07 09:04 AM - cdavilam -

Status: Closed

Priority: Low

Assignee: Martin Dobias

Category: Python plugins

Affected QGIS version:master Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data:No Copied to github as #: 12849

Description

If you edit OSM data (downloaded or from a saved *.osm file) that contain accented characters, ñ or similar, you get the following error:

process failed. [[OpenStreetMap]] server response: Bad Request - Cannot parse valid way from xml string <?xml version="1.0"

encoding="UTF-8"?><osm version="0.6" generator="OpenStreetMap server"><way id="23108300" visible="true"

timestamp="2010-04-05T10:50:23Z" user="antecessor" version="10" changeset="4919909"><nd ref="248219762"/><nd

ref="248219763"/><nd ref="248219764"/><nd ref="248219765"/><nd ref="248219766"/><nd ref="248219767"/><nd

ref="248219768"/><nd ref="248219769"/><nd ref="248219770"/><nd ref="248219771"/><nd ref="412472837"/><nd

ref="248219772"/><nd ref="248219773"/><nd ref="412472711"/><nd ref="447083532"/><nd ref="685164049"/><nd

ref="447083436"/><nd ref="685164046"/><nd ref="248219776"/><nd ref="248219777"/><nd ref="248219778"/><nd

ref="248219779"/><tag k="highway" v="primary"/><tag k="lanes" v="2"/><tag k="name" v="Carretera de Cáceres a Villanueva de

la Serena"/><tag k="oneway" v="no"/><tag k="ref" v="EX-206"/><tag k="source" v="survey"/><tag k="surface"

v="asphalt"/></way></osm>. Fatal error: Input is not proper UTF-8, indicate encoding !.

Data used to reproduce the error can be downloaded with the following bbox: Lat from 39.44089 to 39.45034, Lot from -6.35628 to

-6.34617

If you select way with ID 23108300 (primary highway, ref EX-206), way name is displayed correctly (Carretera de Cáceres...) but relation

name not (Carretera de CÃ¡ceres...). Another member of the same relation can be edited without problems  using JOSM.

History

#1 - 2010-06-08 12:19 AM - springmeyer -

Great tools for detecting encoding and handling invalid chars (even if proper encoding) are:

http://chardet.feedparser.org/

http://pypi.python.org/pypi/Unidecode/0.04.1

#2 - 2011-12-16 01:56 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#3 - 2012-04-16 06:24 AM - Paolo Cavallini

- Crashes QGIS or corrupts data set to No

- Affected QGIS version set to master

- Target version changed from Version 1.7.4 to Version 1.8.0
http://pypi.python.org/pypi/Unidecode/0.04.1


#4 - 2012-04-17 08:25 AM - Jürgen Fischer

- Pull Request or Patch supplied set to No

#5 - 2012-09-04 12:02 PM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#6 - 2013-03-12 04:25 PM - Martin Dobias

- Status changed from Open to Closed

- Resolution set to fixed

New OpenStreetMap support in 2.0 should handle the encodings properly.

2025-04-27 2/2


